
QGIS Application - Bug report #12006

Value map table gets corrupted after chaging the edit widget to another one

2015-01-19 02:11 AM - Giovanni Manghi

Status: Closed

Priority: Normal

Assignee:

Category: Edit widget

Affected QGIS version:master Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 20209

Description

Until 2.2 if a user used a value map and then unselected this widget to use another, the value map table got lost, so in case the value map

widget was selected again it was necessary to create/import it again. Not very handy, but it was a known behavior.

Since then the user can apparently unselected the value map widget, and then select it again and see the previously created table, but

instead the table is filled with strange things, see attached image

https://dl.dropboxusercontent.com/s/f78btqyojq5ydph/comp2.png

History

#1 - 2015-01-19 02:26 AM - Giovanni Manghi

- Category changed from Vectors to Edit widget

#2 - 2015-05-10 01:02 AM - Giovanni Manghi

- Target version changed from Version 2.8 to Version 2.8.2

#3 - 2015-05-14 03:02 AM - Giovanni Manghi

- Target version changed from Version 2.8.2 to Version 2.10

#4 - 2015-11-07 11:26 AM - Giovanni Manghi

- Target version deleted (Version 2.10)

#5 - 2017-05-01 01:07 AM - Giovanni Manghi

- Regression? set to No

- Easy fix? set to No

#6 - 2018-01-29 05:05 AM - Nyall Dawson

- Resolution set to fixed/implemented

- Description updated

- Status changed from Open to Closed

Not an issue on 3.0 master
